API Explorer 935 endpoints

Get Scopes for Consumer

GET /obp/v7.0.0/consumers/CONSUMER_ID/scopes

OBPv4.0.0-getScopes No role required ScopeConsumer

Get all the scopes for an consumer specified by CONSUMER_ID

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh

JSON response body fields (4)
bank_id
gh.29.uk
list
role_name
scope_id
Example success response
{
  "list": [
    {
      "scope_id": "88625da4-a671-435e-9d24-e5b6e5cc404f",
      "role_name": "CanGetEntitlementsForAnyUserAtOneBank",
      "bank_id": "gh.29.uk"
    }
  ]
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30212: EntitlementId not found
  • OBP-30019: Consumer not found. Please specify a valid value for CONSUMER_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 getScopes Originally /obp/v4.0.0/consumers/CONSUMER_ID/scopes